<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
} else {
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
$gettt = mysqli_query($conn, "Select * From logscard WHERE ID = '".$_POST['id']."'");
if(mysqli_num_rows($gettt)){
	$row = mysqli_fetch_array($gettt, MYSQLI_ASSOC);
?>

<div class="modal-body">
			<label>ID</label>
            <div class="form-group pass_show"> 
                <input type="text" value="<?php echo $row['ID']; ?>" class="form-control"> 
            </div> 
            <input type="hidden" id="account" value="<?php echo $row['UserName']; ?>">

			<label>MỆNH GIÁ</label>
            <div class="form-group pass_show"> 
            <select class="form-control" id="amount" required="">
                <option value="">- Mệnh Giá </option>
                <option value="50000" <?php echo $row['Money'] == 50000 ? 'selected' : ''; ?>>50.000 </option>
                <option value="100000" <?php echo $row['Money'] == 100000 ? 'selected' : ''; ?>>100.000 </option>
                <option value="200000" <?php echo $row['Money'] == 200000 ? 'selected' : ''; ?>>200.000 </option>
                <option value="300000" <?php echo $row['Money'] == 300000 ? 'selected' : ''; ?>>300.000 </option>
                <option value="500000" <?php echo $row['Money'] == 500000 ? 'selected' : ''; ?>>500.000 </option>
                <option value="1000000" <?php echo $row['Money'] == 1000000 ? 'selected' : ''; ?>>1.000.000 </option>
                
            </select>
            </div>
			<label>TÙY NHẬP (Chọn Trên Xóa Dưới - Nhập Dưới Tắt Trên)</label>
            <div class="form-group pass_show"> 
            <input type="text" class="form-control" id="amountedit" required="0" value="<?php if($row['Hash'] == 'VCB' or $row['Hash'] == 'MoMo'){ echo $row['Money']; }?>"/>
            </div> 

			<label>TÌNH TRẠNG</label>
            <div class="form-group pass_show"> 
            <select class="form-control" id="status" required="">
                <option value="0" <?php echo $row['Active'] == 0 ? 'selected' : ''; ?>>Đang chờ </option>
                <option value="1" <?php echo $row['Active'] == 1 ? 'selected' : ''; ?>>Thành công </option>
                <option value="2" <?php echo $row['Active'] == 2 ? 'selected' : ''; ?>>Bị Hủy </option>
                <option value="3" <?php echo $row['Active'] == 3 ? 'selected' : ''; ?>>Sai Mệnh Giá </option>
            </select>
            </div> 
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-danger" onClick="update_recharge(<?php echo $_POST['id']; ?>);">Cập nhật</button>
        </div>

<?php
} else {
	die('Dữ liệu không tồn tại.');
}
}
?>
<script>
function update_recharge(id) {
	if($('#amountedit').val()){
		if($('#amount').val() > 0){
         toastr.info("Nếu Tùy Nhập hãy Tắt chọn Mệnh Giá.", 'Chú ý');
return false;			
		}
	}
    $.post('ajax/edit_recharge.php', { account: $('#account').val(), amount: $('#amount').val(), amountedit: $('#amountedit').val(), status: $('#status').val(), id: id }, function(data) {
        if(data == 0){
		toastr.success("Cập nhật thành công.", 'Chú ý');			
		} else {
		toastr.info(data, 'Chú ý');
		}
        $('#loadInfoRecharge').modal('hide');
    });
	texttimkiem();
}

</script>
		   